> ## Documentation Index
> Fetch the complete documentation index at: https://developers.e-cross.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Update price (origin)

> Update SKU price using origin (payout) pricing model

This API performs online validation of the input and queues the price localization to be asynchronously processed.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST 'https://product.api.e-cross.tech/ext/prices/origin/1234567891' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Content-Type: application/json' \
    -d '{
      "listPrice": 30.00,
      "salePrice": 30.00
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "status": "LOCALIZATION IN PROGRESS",
    "publishedCount": 1,
    "publishedSkus": [
      "1234567891"
    ],
    "failedCount": 0,
    "failedSkus": [],
    "merchantId": "ACME"
  }
  ```
</ResponseExample>

### Path Parameters

<ParamField path="skuId" type="string" required>
  Identifier of the SKU (the `skuId` used to create the SKU).
</ParamField>

### Request Parameters

<ParamField body="listPrice" type="number">
  Use this when you want to apply a price promotion. The value must be informed in the merchant foreign currency and will be localized into the "crossed" price in the local currency of connected sales channels.

  Ex: in the product card, if it displays "R\$ ~~250,00~~ 200,00", it means that the `listPrice` was localized into the ~~250,00~~.
</ParamField>

<ParamField body="salePrice" type="number" required>
  The value in the merchant foreign currency that will be localized into the final retail price in the local currency of connected sales channels.

  This is the expected payout value for each sale, meaning: the amount that will be available in your wallet for each unit sold after the conciliation cycle.
</ParamField>

### Response Fields

<ResponseField name="status" type="string">
  Status of the localization process. Can be `LOCALIZATION IN PROGRESS` (queued) or `ERROR` (error in request).
</ResponseField>

<ResponseField name="publishedCount" type="integer">
  The number of price localization requests that were queued. In origin pricing, if there are 3 sales channels connected, then 3 localization requests will be queued.
</ResponseField>

<ResponseField name="publishedSkus" type="array">
  Array of SKU IDs that were queued to be localized.
</ResponseField>

<ResponseField name="failedCount" type="integer">
  The number of price localization requests that failed.
</ResponseField>

<ResponseField name="failedSkus" type="array">
  Array of SKU IDs that failed to be queued for localization.
</ResponseField>

<ResponseField name="merchantId" type="string">
  The merchant ID of this localization context.
</ResponseField>
